#!/bin/bash

NOW=$(date +"%Y%m%d-%H%M%S")
export NOW

. /opt/config

JVM_ARGS="${JVM_ARGS} -Xloggc:${LOGS_DIR}/gc_jmeter_inj.log"
export JVM_ARGS

echo 'PERFORMANCE TEST EXECUTED AT : '${NOW}

${JMETER_BIN}/jmeter -LINFO -X -d ${JMETER_HOME} -n -j ${LOG_FILE} -l "${RESULTS_FILE}" ${PARAM_HOSTS_ARGS} ${PARAM_USERS_ARGS} -t "${JMX_FILE}" -e -o "${RESULTS_DIR}/report-${PROJET}-${NOW}"

END=$(date +"%Y%m%d-%H%M%S")

echo 'PERFORMANCE TEST ENDED AT : '${END}
